# ChainableReader

Extends

Interface indicating that a reader may be chained to another one.

author | Magesh Umasankar
package | phing.filters

### Methods

## Returns a reader with the same configuration as this one, but filtering input from the specified reader.

    chain(\Reader $rdr) : \Reader

### Arguments

#### $rdr

`\Reader`

the reader which the returned reader should be filtering

### Response

`\Reader`

A reader with the same configuration as this one, but filtering input from the specified reader